package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreTmpDTO;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/3
 */
public interface StoreImportApiService {

    /**
     * 判断当前企业下是否有正在导入的门店，true表示没有 false表示有
     * @param enterpriseId
     * @return
     */
    ServiceResponse<Boolean> hasImportingStore(Integer enterpriseId);

    void delStoreTmp(Integer enterpriseId);

    ServiceResponse<String> importDataToStore(Integer enterpriseId, String userId, String uuId);

    void save(StoreTmpDTO bean);

    ServiceResponse<Page> listStoreTmp(Integer enterpriseId, boolean isSuccess, Integer currentPage, Integer pageSize);

    ServiceResponse<Boolean> validateStoreCode(Integer enterpriseId, String storeCode);

    ServiceResponse<String> isExistStoreGroup(Integer enterpriseId, String storeGroupName);

    ServiceResponse<List<String>> listBrandByNotExist(Integer enterpriseId, String brands);
}
